Skip to main content
GET
/
networks
/
offergroups
/
{offerGroupId}
Get Offer Group by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/offergroups/{offerGroupId} \
  --header 'X-Eflow-Api-Key: <api-key>'
import requests

url = "https://api.eflow.team/v1/networks/offergroups/{offerGroupId}"

headers = {"X-Eflow-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};

fetch('https://api.eflow.team/v1/networks/offergroups/{offerGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "network_offer_group_id": 123,
  "network_id": 123,
  "network_advertiser_id": 123,
  "name": "<string>",
  "internal_notes": "<string>",
  "is_caps_enabled": true,
  "daily_conversion_cap": 123,
  "weekly_conversion_cap": 123,
  "monthly_conversion_cap": 123,
  "global_conversion_cap": 123,
  "daily_payout_cap": 123,
  "weekly_payout_cap": 123,
  "monthly_payout_cap": 123,
  "global_payout_cap": 123,
  "daily_revenue_cap": 123,
  "weekly_revenue_cap": 123,
  "monthly_revenue_cap": 123,
  "global_revenue_cap": 123,
  "daily_click_cap": 123,
  "weekly_click_cap": 123,
  "monthly_click_cap": 123,
  "global_click_cap": 123,
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "relationship": {
    "advertiser": {
      "network_advertiser_id": 123,
      "network_id": 123,
      "name": "<string>",
      "account_status": "<string>",
      "network_employee_id": 123,
      "sales_manager_id": 123,
      "address_id": 123,
      "is_contact_address_enabled": true,
      "default_currency_id": "<string>",
      "platform_name": "<string>",
      "platform_url": "<string>",
      "platform_username": "<string>",
      "offer_id_macro": "<string>",
      "affiliate_id_macro": "<string>",
      "accounting_contact_email": "<string>",
      "internal_notes": "<string>",
      "attribution_method": "<string>",
      "email_attribution_method": "<string>",
      "attribution_priority": "<string>",
      "verification_token": "<string>",
      "is_expose_publisher_reporting_data": true,
      "reporting_timezone_id": "<string>",
      "time_created": 1734455015,
      "time_saved": 1734455015
    },
    "labels": {
      "total": 123,
      "entries": [
        "<string>"
      ]
    },
    "network_offer_ids": [
      123
    ],
    "remaining_caps": {
      "remaining_daily_payout_cap": 123,
      "remaining_daily_revenue_cap": 123,
      "remaining_daily_conversion_cap": 123,
      "remaining_daily_click_cap": 123,
      "remaining_weekly_payout_cap": 123,
      "remaining_weekly_revenue_cap": 123,
      "remaining_weekly_conversion_cap": 123,
      "remaining_weekly_click_cap": 123,
      "remaining_monthly_payout_cap": 123,
      "remaining_monthly_revenue_cap": 123,
      "remaining_monthly_conversion_cap": 123,
      "remaining_monthly_click_cap": 123,
      "remaining_global_payout_cap": 123,
      "remaining_global_revenue_cap": 123,
      "remaining_global_conversion_cap": 123,
      "remaining_global_click_cap": 123
    }
  },
  "is_soft_cap": true
}
Retrieve a single offer group by its ID. Returns the full offer group object including cap settings, advertiser relationship, associated offers, and remaining cap values.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

offerGroupId
integer
required

The offer group ID.

Query Parameters

relationship
enum<string>

Include related data (audits or today's reporting).

Available options:
audits,
reporting

Response

200 - application/json
network_offer_group_id
integer

Unique offer group ID.

network_id
integer

Network ID.

network_advertiser_id
integer

ID of the advertiser for the offer group.

name
string

Name of the offer group.

internal_notes
string

Internal notes about the offer group.

offer_group_status
enum<string>

Status of the offer group. Can be one of the following values: active, paused or deleted.

Available options:
active,
paused,
deleted
is_caps_enabled
boolean

Whether caps are enabled. When false, voids all types of caps and custom caps.

daily_conversion_cap
integer

Limit to the number of unique conversions in one day.

weekly_conversion_cap
integer

Limit to the number of unique conversions in one week (Monday midnight to Sunday 23h59:59).

monthly_conversion_cap
integer

Limit to the number of unique conversions in one month.

global_conversion_cap
integer

Limit to the total number of unique conversions at the offer level.

daily_payout_cap
number

Limit to the affiliate's payout for one day.

weekly_payout_cap
number

Limit to the affiliate's payout for a week (Monday midnight to Sunday 23h59:59).

monthly_payout_cap
number

Limit to the affiliate's payout for one month.

global_payout_cap
number

Limit to the affiliate's total payout at the offer level.

daily_revenue_cap
number

Limit to the network's revenue for one day.

weekly_revenue_cap
number

Limit to the network's revenue for a week (Monday midnight to Sunday 23h59:59).

monthly_revenue_cap
number

Limit to the network's revenue for one month.

global_revenue_cap
number

Limit to the network's total revenue at the offer level.

daily_click_cap
integer

Limit to the number of unique clicks in one day.

weekly_click_cap
integer

Limit to the number of unique clicks in a week (Monday midnight to Sunday 23h59:59).

monthly_click_cap
integer

Limit to the number of unique clicks in one month.

global_click_cap
integer

Limit to the total number of unique clicks at the offer level.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object
is_soft_cap
boolean

Whether soft caps are enabled for this offer group.